Bug 51135 - Problems with the mailing-lists search interface
Summary: Problems with the mailing-lists search interface
Status: Closed Not Accepted
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-doc (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-18 21:30 UTC by Dirk Gouders
Modified: 2017-04-20 10:50 UTC (History)
2 users (show)

See Also:


Attachments
search results for 'Past Month' (691.40 KB, application/pdf)
2017-04-17 09:52 UTC, Graham Perrin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Gouders 2003-04-18 21:30:11 UTC
	Today, I wanted to search the freebsd-hackers list for the term
	`pkg_version'.  When I limited the search to `recent' entries, I
    got several	hits, but none of the entries seemed to contain the 
    searched term.  When I unlimitted the search to `all' entries I
	got no single hit -- not even the hits, the previous limited search
	found.

	Modifying the search key to `pkg and version' did not help.

Fix: 

Unknown.
How-To-Repeat: 	Try to use the http://www.freebsd.org/search/search.html#mailinglists
	to search the freebsd-hackers list for the term `pkg_version'.
Comment 1 Jim Brown 2003-05-06 04:30:59 UTC
I'm not sure if this helps but try
pkg_*  (returns all pkg_version among others)

Also, set results = 250.  Some lower amounts
don't get any pkg_version entries.

That being said, it is strange that 'pkg_version' doesn't
return any results.  This may be due to how the
form is parsed up before search.  My guess is that
there is a perl regular expression in need of adjustment.

Best Regards,
jpb
===
Comment 2 kmf 2008-06-30 12:45:37 UTC
I have done a search here:
http://lists.freebsd.org/pipermail/freebsd-hackers/
I get two results, funny how the the Underscore drops away in the search.

Karl
Comment 3 Remko Lodder freebsd_committer 2009-11-05 13:15:18 UTC
State Changed
From-To: open->suspended

I do not honestly believe that someone will have a look at this soon 
from now, so mark it as suspended. 

That said; this might be something that cannot be resolved by the 
software that we are using now, there are other interfaces to 
search through the mailing list archives, for example through 
markmail: 

http://freebsd.markmail.org/ 

and rambler.ru also provides something that can be used 
probably. Would knowing that resolve the problem in the 
first place?
Comment 4 Graham Perrin 2017-04-17 09:45:32 UTC
1. <https://www.freebsd.org/search/search.html#mailinglists>

2. type 'VirtualBox'

3. Submit Query

4. observe <https://duckduckgo.com/?sites=docs.FreeBSD.org%2Fmail%2Clists.FreeBSD.org%2Fpipermail&ka=v&kt=v&kh=1&kj=r2&q=VirtualBox&submit=Submit+Query&ia=web>

5. change 'Any Time' to 'Past Month'

Expected
========

- posts from the past month

Actual results
==============

- posts from years ago. 

Thoughts
========

If the form-based approach at <https://www.freebsd.org/search/search.html#mailinglists> can not be reliable then the form should be removed from that part of the page.
Comment 5 Graham Perrin 2017-04-17 09:52:51 UTC
Created attachment 181836 [details]
search results for 'Past Month'

Supposed results for the past month. 

Actual results are, at a glance, mostly from 2009.
Comment 6 Sevan Janiyan freebsd_committer 2017-04-18 06:07:07 UTC
(In reply to Graham Perrin from comment #5)

Whilst the original issue was to do with the mail search process, the form has been using duckduckgo for searching docs.FreeBSD.org/mail & lists.FreeBSD.org/pipermail.

Poor results are down to the crawler now. I've reported the issue with poor search results to duckduckgo.
Comment 7 Sevan Janiyan freebsd_committer 2017-04-18 08:31:39 UTC
(In reply to Sevan Janiyan from comment #6)

I meant to say the form has been using duckduckgo for searching docs.FreeBSD.org/mail & lists.FreeBSD.org/pipermail since a few years ago.

So on the surface we may have a poor indexing problem but the fact of the matter is that the search facility changed from hosted in house to using search engines a long time ago.
Comment 8 Graham Perrin 2017-04-20 03:17:17 UTC
Re: comment #6 thanks. (I suspected that part of the problem would be beyond the control of FreeBSD …)
Comment 9 Sevan Janiyan freebsd_committer 2017-04-20 10:50:50 UTC
We no longer use our own search facility but rely on DuckDuckGo.